7

I'm trying to compile geoip into nginx. When doing ./configure --with-http_geoip_module I get the following error.

./configure: error: the GeoIP module requires the GeoIP library.
You can either do not enable the module or install the library.

I've tried any combination's for trying to find the geoip module for nginx with apt-get and I'm having no luck. If anyone can point me in the correct direction.

11
root@ip-10-112-39-42:~# apt-cache search geoip
....
libgeoip-dev - Development files for the GeoIP library
....
root@ip-10-112-39-42:~# apt-get install libgeoip-dev
  • 1
    Insightful answer. I should rephrase the question too "How do I find packages on my system." – Mark Tomlin May 1 '13 at 5:24
3

For Centos/RedHat and other yum-based:

yum provides geoip-devel

In my case it is in epel repo.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.